@echo off
cls

if exist andy.re goto note
if exist dalsim.re goto note
if not exist hyptl.229 goto miss
if not exist hypryu.seq goto miss
if not exist hypbal.seq goto miss
if not exist hypbal.re goto miss
if not exist hypryu.re goto miss
if not exist d2.voc goto starthyp
if not exist d7.voc goto configure
goto starthyp

rem ******************
rem * Configure game *
rem ******************

:configure
cls
echo                   THANKS FOR TRYING SF2LIU V2.00!
echo Well, again, here are some tips on how to configure the game, since
echo SF2CFG will be run immediately after this message.
echo.
echo Well, here's some tips to configure the game in SF2CFG:
echo.
echo 1.  For 286 users, consider an upgrade. :) And for 386 users, you can play
echo     around with the speed setting to get the feel you want. As for 486 users
echo     you might have to crank the speed number all the way to 3700 if you have
echo     a local bus system.  It all varies, so type SF2CFG anytime to tune it.
echo.
echo Hit a key for the next page.
pause >nul
echo 2.  Use the default key configuration for the least key conflicts,
echo     which is:
echo.
echo                Left Player        Right Player
echo.
echo Jump            T                  Up Arrow
echo Left            F                  Left Arrow
echo Right           H                  Right Arrow
echo Down            G                  Keypad 5 (You can change this to down
echo                                              arrow if you like)
echo Jab             TAB                INS
echo Strong          Q                  HOME
echo Fierce          W                  PGUP
echo Short           CAPS LOCK          DEL
echo Forward         A                  END
echo Roundhouse      S                  PGDN
echo.
echo.
echo Hit Enter for a few times to start.  To view this message again, read
echo README.TXT because this message will not appear the next time you run SF2.

pause > nul
pause > nul
pause > nul

rem ****************
rem * Run SF2SETUP *
rem ****************

sf2cfg
cls

rem *******************
rem * Duplicate VOC's *
rem *******************

echo For the first time the Hyper Fighting patch is played the program will
echo duplicate necessary VOC files. As usual, you can delete all the VOC files
echo if you're desperate on disk space.  Hit a key to continue.

pause > nul

echo Now duplicating necessary files ...

copy a11.voc a14.voc > nul
copy a11.voc a17.voc > nul
copy a11.voc a20.voc > nul
copy a11.voc a23.voc > nul
copy a11.voc a26.voc > nul
copy a11.voc a29.voc > nul
copy a11.voc a32.voc > nul
copy a11.voc a35.voc > nul
copy a11.voc a38.voc > nul
echo (20%),
copy a12.voc a15.voc > nul
copy a12.voc a18.voc > nul
copy a12.voc a21.voc > nul
copy a12.voc a24.voc > nul
copy a12.voc a27.voc > nul
copy a12.voc a30.voc > nul
copy a12.voc a33.voc > nul
copy a12.voc a36.voc > nul
copy a12.voc a39.voc > nul
echo (40%),
copy a13.voc a16.voc > nul
copy a13.voc a19.voc > nul
copy a13.voc a22.voc > nul
copy a13.voc a25.voc > nul
copy a13.voc a28.voc > nul
copy a13.voc a31.voc > nul
copy a13.voc a34.voc > nul
copy a13.voc a37.voc > nul
copy a13.voc a40.voc > nul
echo (60%),
copy 0l.voc 1l.voc > nul
copy 0l.voc 2l.voc > nul
copy 0l.voc 3l.voc > nul
copy 0l.voc 4l.voc > nul
copy 0l.voc 6l.voc > nul
copy 0l.voc 7l.voc > nul
copy 0l.voc 8l.voc > nul
copy 0l.voc 9l.voc > nul
copy 0l.voc al.voc > nul
echo (80%),
copy 0l.voc bl.voc > nul
copy 0l.voc cl.voc > nul
copy c1.voc c2.voc > nul
copy c4.voc c5.voc > nul
copy c4.voc c9.voc > nul
copy cb.voc cc.voc > nul
copy d2.voc d3.voc > nul
copy d2.voc d4.voc > nul
copy d2.voc d5.voc > nul
copy d2.voc d6.voc > nul
copy d2.voc d7.voc > nul
echo (100%), done! Hit a key to start SF2 Hyper Fighting!

pause > nul
goto starthyp

rem *****************
rem * Missing files *
rem *****************

:miss
echo One or more of the important files needed to run this game is missing!
echo Please extract BOTH archieves of the SF2LIU V2.00 patch into a new
echo directory and try again.
echo Read README.TXT for more info.
goto end

rem ********
rem * note *
rem ********

:note
echo This new patch of Street Fighter II runs independently by itself,
echo unzip the archieve to a new, empty directory to save yourself some
echo disk space!  Hit a key to continue.
pause >nul
goto starthyp

rem **************
rem * start game *
rem **************

:starthyp
hypsf196.exe hypfile.cfg
REM delete the following line if you don't want number lock to be on.
hyp-#set.com
echo Author Derek Liu - deliu@unixg.ubc.ca
echo Assistance Brian Chan - chanav@sfu.ca
echo Comments and suggestions welcomed!
echo.

:end
